function Tcout= Torq_Lim(Tcin)     
% Limit CMG Torque
% Tcin  is the CMG input torque in LVLH
% Tcout is the CMG output torque in body
global Tmax 

mag= sqrt(Tcin'*Tcin);
if mag>Tmax; Tcout= Tcin*Tmax/mag;   % Limit Output Torque
else,        Tcout= Tcin; end
