% Calculate Frequency Responses for Stability and Sensitivity Analysis
start;
%[Ao,Bo,Co,Do]=linmod('Open_Loop_RCS');           % State-Space system for RCS
[Ao,Bo,Co,Do]=linmod('Open_Loop_CMG');           % State-Space system for CMG
%[Ao,Bo,Co,Do]=linmod('flt');                    % Test Notch Filters
%[Ao,Bo,Co,Do]=linmod('Lin_CMG_Sensitiv');        % Sensitivity Transfer Function
sys=ss(Ao,Bo,Co,Do);                             % frequency response analysis
w=logspace(-3,2,20000); 
%figure(1); sigma(sys,w)
%figure(2); bode(sys); grid on
figure(3); nichols(sys,w)
%figure(4); sigma(sys,w)

