label='Space Station Simulation TEA-Converge Mode, Response to Aero Disturb';
%------------------------------------------
timh=time/3600;
figure (1)
subplot(2,1,1), plot(timh,Td, 'LineWidth',1.5); grid ON
title(label)
ylabel('Dist Torq (ft-lb)')

subplot(2,1,2), plot(timh,Tcmg, 'LineWidth',1.5); grid ON
ylabel('Cntrol Torq (ft-lb)')
xlabel('Time (hr)')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(timh,Hcmg, 'LineWidth',1.5); grid ON
title(label)
ylabel('CMG momentum in body')

subplot(2,1,2), plot(timh,Hsys, 'LineWidth',1.5); grid ON
ylabel('System Momentum in body')
xlabel('Time (hr)')
%------------------------------------------
figure (3)
subplot(3,1,1), plot(timh,theta, 'LineWidth',1.5); grid ON
title(label)
ylabel('Euler Angles LVLH (deg)')

subplot(3,1,2), plot(timh,wl*r2d, 'LineWidth',1.5); grid ON
ylabel('Rates wrt LVLH (d/s)')

subplot(3,1,3), plot(timh,wb*r2d, 'LineWidth',1.5); grid ON
ylabel('body rates (deg/s)')
xlabel('Time (hr)')
%------------------------------------------
