label='Space Station CMG Maneuver to TEA with Flex, [-0.5, 6.4, 3.0]';
label='Space Station CMG Maneuver with Flex, 3 (deg), dir [1, 1,-1]';
timh=time/60;
%------------------------------------------
figure (2)
subplot(3,1,1), plot(timh,theta*r2d,'LineWidth',1.5); grid ON
title(label)
ylabel('Euler Angles LVLH (deg)')

subplot(3,1,2), plot(timh,wl*r2d,  'LineWidth',1.5); grid ON
ylabel('Rates wrt LVLH (d/s)')

subplot(3,1,3), plot(timh,wb*r2d, 'LineWidth',1.5); grid ON
ylabel('body rates (deg/s)')
xlabel('Time (min)')
%------------------------------------------
figure (3)
subplot(3,1,1), plot(timh,Tcmg, 'LineWidth',1.5); grid ON
title(label)
ylabel('CMG Torque (ft-lb)')

subplot(3,1,2), plot(timh,Hcmg, 'LineWidth',1.5); grid ON
ylabel('CMG momentum in body')

subplot(3,1,3), plot(timh,Hsys, 'LineWidth',1.5); grid ON
ylabel('System Momentum in body')
xlabel('Time (min)')
%------------------------------------------
