label='Flex Space Station Simulation RCS maneuver in LVLH, 20 deg cmd about (1, 1,-1)';
label='Flex Space Station Parallel CMG/RCS Operation, 20 deg cmd direct:(1,-1,-1)';
timh=time/60;
%------------------------------------------
figure (1)
plot(-atter*r2d, wl*r2d, 'LineWidth',1.5)
title(label)
grid ON
xlabel('Attit Error (deg)')
ylabel('Rate Error (deg/s)')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(timh,theta*r2d, 'LineWidth',1.5); grid ON
title(label)
ylabel('Euler Angles LVLH (deg)')

subplot(2,1,2), plot(timh,wl*r2d, 'LineWidth',1.5); grid ON
ylabel('LVLH Rates (deg/s)')

xlabel('Time (min)')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(timh,-Tcmg, 'LineWidth',1.5); grid ON
title(label)
ylabel('CMG Torque (ft-lb)')

subplot(2,1,2), plot(timh,Hcmg, 'LineWidth',1.5); grid ON
ylabel('CMG momentum in body')

xlabel('Time (min)')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(timh,wb*r2d, 'LineWidth',1.5); grid ON
title(label)
ylabel('body rates (deg/s)')

subplot(2,1,2), plot(timh,accel, 'LineWidth',1.5); grid ON
ylabel('accelerom (ft/s^2)')

xlabel('Time (min)')
%------------------------------------------
figure (5)
label='Jet Thrusts (lb) Firing in the +/-X direction';
subplot(4,1,1), plot(timh,URX*Th, 'LineWidth',1.5); grid ON
title(label)
ylabel('Upp-RghtX')

subplot(4,1,2), plot(timh,ULX*Th, 'LineWidth',1.5); grid ON
ylabel('Upp-LeftX')

subplot(4,1,3), plot(timh,LRX*Th, 'LineWidth',1.5); grid ON
ylabel('Low-RghtX')

subplot(4,1,4), plot(timh,LLX*Th, 'LineWidth',1.5); grid ON
ylabel('Low-LeftX')
xlabel('Time (min)')
%------------------------------------------
figure (6)
label='Jet Thrusts (lb) Firing in the +/-Y direction';
subplot(4,1,1), plot(timh,URNY*Th, 'LineWidth',1.5); grid ON
title(label)
ylabel('Upp-Rght-Y')

subplot(4,1,2), plot(timh,ULPY*Th, 'LineWidth',1.5); grid ON
ylabel('Upp-Left+Y')

subplot(4,1,3), plot(timh,LRNY*Th, 'LineWidth',1.5); grid ON
ylabel('Low-Rght-Y')

subplot(4,1,4), plot(timh,LLPY*Th, 'LineWidth',1.5); grid ON
ylabel('Low-Left+Y')
xlabel('Time (min)')
%------------------------------------------

