r2d=180/pi; d2r=pi/180;
wo= 0.0011;                                     % Orbital Rate 0.001
atto=[-0.5, 6.4, 3.0]'*d2r;                     % TEA attitude
wbo= [0 -wo  0]'; wbm=sqrt(wbo'*wbo);           % Initial body rate & magnitude [0 -wo  0]'
J= [0.119416e9, -0.476e7,   -0.1216e7; ...      % Moments of Inertia Matrix
   -0.476e7,     0.40408e8, -0.30121e6; ...
   -0.1216e7,   -0.30121e6,  0.110166e9]; JI=inv(J);
Ixy=0.476e+7; Ixz=0.1216e+7; Iyz=0.30121e+6;

[Av, Bv, Cv, Dv]= vehicle_rigid;                % Load the Rigid Vehicle State-Space Model 
[Af, Bf, Cf, Df]= vehicle_flex34;               % Load the Flex  Vehicle State-Space Model 
[Ad, Bd, Cd, Dd]= design_plant;                 % Load the Rigid Design Plant Model 
[Al, Bl, Cl, Dl]= lvlh_plant;                   % Load the LVLH  Design Plant Model 
[Ag, Bg, Cg, Dg]= augm_plant;                   % Load the Augmented Design Plant Model 
load Kpqr -ascii;                               % Load the LQR gains from previous design