function Tcout= Mom_Dump(Hcmg)     
% Performs Momentum Dump
% Tcout is the CMG output torque in body
global Tmax Hmax Hflg
Hmag= sqrt(Hcmg'*Hcmg);                     % Momentum Magnitude

if Hmag>Hmax, Hflg=1;                       % Turn On  the Moment Dump Flag
elseif Hmag<Hmax/100, Hflg=0; end            % Turn Off the Moment Dump Flag

if Hflg>0.5; Tcout= -Hcmg*Tmax/Hmag;        % Torque to bring the momentum to zero
else,        Tcout= [0,0,0]'; end
