label='Space Station RCS Momentum Dump Operation';
label='Flex Space Station Simulation, RCS maneuver in LVLH, 20 deg cmd about(1, 1,-1)';
label='Flex Station Attitude Maneuver/ Momentum Dump CMG/RCS Operation, 20 deg cmd dir:(1, 1,-1)';
timh=time/60;
%------------------------------------------
figure (1)
plot(-atter*r2d, wl*r2d)
title(label)
grid ON
xlabel('Attit Error (deg)')
ylabel('Rate Error (deg/s)')
%------------------------------------------
figure (2)
subplot(3,1,1), plot(timh,theta*r2d,'LineWidth',1.5); grid ON
title(label)
ylabel('Euler Angles LVLH (deg)')

subplot(3,1,2), plot(timh,wl*r2d,'LineWidth',1.5); grid ON
ylabel('Rates wrt LVLH (d/s)')

subplot(3,1,3), plot(timh,wb*r2d,'LineWidth',1.5); grid ON
ylabel('body rates (deg/s)')
xlabel('Time (min)')
%------------------------------------------
figure (3)
subplot(3,1,1), plot(timh,Tcmg,'LineWidth',1.5); grid ON
title(label)
ylabel('CMG Torque (ft-lb)')

subplot(3,1,2), plot(timh,Hcmg,'LineWidth',1.5); grid ON
ylabel('CMG Momentum in Body')

subplot(3,1,3), plot(timh,Hsys,'LineWidth',1.5); grid ON
ylabel('System Momentum in Body')
xlabel('Time (min)')
%------------------------------------------
figure (4)
label='Jets Firing in the X direction';
subplot(4,1,1), plot(timh,URX,'LineWidth',1.5); grid ON
title(label)
ylabel('Upp-RghtX')

subplot(4,1,2), plot(timh,ULX,'LineWidth',1.5); grid ON
ylabel('Upp-LeftX')

subplot(4,1,3), plot(timh,LRX,'LineWidth',1.5); grid ON
ylabel('Low-RghtX')

subplot(4,1,4), plot(timh,LLX,'LineWidth',1.5); grid ON
ylabel('Low-LeftX')
xlabel('Time (min)')
%------------------------------------------
figure (5)
label='Jets Firing in the +/-Y direction';
subplot(4,1,1), plot(timh,URNY,'LineWidth',1.5); grid ON
title(label)
ylabel('Upp-Rght-Y')

subplot(4,1,2), plot(timh,ULPY,'LineWidth',1.5); grid ON
ylabel('Upp-Left+Y')

subplot(4,1,3), plot(timh,LRNY,'LineWidth',1.5); grid ON
ylabel('Low-Rght-Y')

subplot(4,1,4), plot(timh,LLPY,'LineWidth',1.5); grid ON
ylabel('Low-Left+Y')
xlabel('Time (min)')
%------------------------------------------
