function Tcout= Torq_Lim(Tcin)     
% Limit CMG Torque
% Tcin  is the CMG input torque in LVLH
% Tcout is the CMG output torque in body
global CB2L Tmax Hmax Hmag

mag= sqrt(Tcin'*Tcin);
if mag>Tmax; Tcout= CB2L'*Tcin*Tmax/mag;   % Limit Output Torque
else,        Tcout= CB2L'*Tcin; end

%if Hmag>Hmax, Tcout= zeros(3,1); end       % Zero Torque when CMGs Saturate