start
% [As,Bs,Cs,Ds]=linmod('Accelerom_Sensitivity');      % Sensitivity Model
% [Ao,Bo,Co,Do]=linmod('Open_Loop_RCS');              % Open-Loop RCS Model for DF analysis
[Ao,Bo,Co,Do]=linmod('Open_Loop_CMG');              % Open-Loop Model for PD/ CMG analysis
% [Ao,Bo,Co,Do]=linmod('Open_Lin_TEA_Flex');          % Open-Loop Analysis Model
syso=ss(Ao,Bo,Co,Do);                               % for Stability analysis
sysd=ss(As,Bs,Cs,Ds);                               % for Sensitivity analysis
w=logspace(-3,2,40000); 
figure(2); sigma(syso,w); grid on
figure(3); nichols(syso,w)
% figure(1); sigma(sysd,w); grid on
