label='Space Station Response Starting from LVLH Attitude';
timh=time/3600;
%------------------------------------------
figure (2)
subplot(2,1,1), plot(timh,theta*r2d, 'LineWidth',1.5); grid ON
title(label)
ylabel('Euler Angles LVLH (deg)')

subplot(2,1,2), plot(timh,wl*r2d, 'LineWidth',1.5); grid ON
ylabel('LVLH Rates (deg/s)')

xlabel('Time (hr)')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(timh,-Tcmg, 'LineWidth',1.5); grid ON
title(label)
ylabel('CMG Torque (ft-lb)')

subplot(2,1,2), plot(timh,Hcmg, 'LineWidth',1.5); grid ON
ylabel('CMG momentum in body')

xlabel('Time (hr)')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(timh,Td, 'LineWidth',1.5); grid ON
title(label)
ylabel('Disturb Torque (ft-lb)')

subplot(2,1,2), plot(timh,accel, 'LineWidth',1.5); grid ON
ylabel('accelerom (ft/s^2)')

xlabel('Time (hr)')
%------------------------------------------
